## UDisksNVMeController

UDisksNVMeController — Generated C code for the org.freedesktop.UDisks2.NVMe.Controller D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_nvme_controller_interface_info ()
guint | udisks_nvme_controller_override_properties ()
void | udisks_nvme_controller_call_smart_get_attributes ()
gboolean | udisks_nvme_controller_call_smart_get_attributes_finish ()
gboolean | udisks_nvme_controller_call_smart_get_attributes_sync ()
void | udisks_nvme_controller_complete_smart_get_attributes ()
void | udisks_nvme_controller_call_smart_update ()
gboolean | udisks_nvme_controller_call_smart_update_finish ()
gboolean | udisks_nvme_controller_call_smart_update_sync ()
void | udisks_nvme_controller_complete_smart_update ()
void | udisks_nvme_controller_call_smart_selftest_start ()
gboolean | udisks_nvme_controller_call_smart_selftest_start_finish ()
gboolean | udisks_nvme_controller_call_smart_selftest_start_sync ()
void | udisks_nvme_controller_complete_smart_selftest_start ()
void | udisks_nvme_controller_call_smart_selftest_abort ()
gboolean | udisks_nvme_controller_call_smart_selftest_abort_finish ()
gboolean | udisks_nvme_controller_call_smart_selftest_abort_sync ()
void | udisks_nvme_controller_complete_smart_selftest_abort ()
void | udisks_nvme_controller_call_sanitize_start ()
gboolean | udisks_nvme_controller_call_sanitize_start_finish ()
gboolean | udisks_nvme_controller_call_sanitize_start_sync ()
void | udisks_nvme_controller_complete_sanitize_start ()
guint16 | udisks_nvme_controller_get_controller_id ()
const gchar * | udisks_nvme_controller_get_fguid ()
const gchar * | udisks_nvme_controller_get_nvme_revision ()
gint | udisks_nvme_controller_get_sanitize_percent_remaining ()
const gchar * | udisks_nvme_controller_get_sanitize_status ()
const gchar *const * | udisks_nvme_controller_get_smart_critical_warning ()
guint64 | udisks_nvme_controller_get_smart_power_on_hours ()
gint | udisks_nvme_controller_get_smart_selftest_percent_remaining ()
const gchar * | udisks_nvme_controller_get_smart_selftest_status ()
guint16 | udisks_nvme_controller_get_smart_temperature ()
guint64 | udisks_nvme_controller_get_smart_updated ()
const gchar * | udisks_nvme_controller_get_state ()
const gchar * | udisks_nvme_controller_get_subsystem_nqn ()
guint64 | udisks_nvme_controller_get_unallocated_capacity ()
gchar * | udisks_nvme_controller_dup_fguid ()
gchar * | udisks_nvme_controller_dup_nvme_revision ()
gchar * | udisks_nvme_controller_dup_sanitize_status ()
gchar ** | udisks_nvme_controller_dup_smart_critical_warning ()
gchar * | udisks_nvme_controller_dup_state ()
gchar * | udisks_nvme_controller_dup_smart_selftest_status ()
gchar * | udisks_nvme_controller_dup_subsystem_nqn ()
void | udisks_nvme_controller_set_controller_id ()
void | udisks_nvme_controller_set_fguid ()
void | udisks_nvme_controller_set_nvme_revision ()
void | udisks_nvme_controller_set_sanitize_percent_remaining ()
void | udisks_nvme_controller_set_sanitize_status ()
void | udisks_nvme_controller_set_smart_critical_warning ()
void | udisks_nvme_controller_set_smart_power_on_hours ()
void | udisks_nvme_controller_set_smart_selftest_percent_remaining ()
void | udisks_nvme_controller_set_smart_selftest_status ()
void | udisks_nvme_controller_set_smart_temperature ()
void | udisks_nvme_controller_set_smart_updated ()
void | udisks_nvme_controller_set_state ()
void | udisks_nvme_controller_set_subsystem_nqn ()
void | udisks_nvme_controller_set_unallocated_capacity ()
void | udisks_nvme_controller_proxy_new ()
UDisksNVMeController * | udisks_nvme_controller_proxy_new_finish ()
UDisksNVMeController * | udisks_nvme_controller_proxy_new_sync ()
void | udisks_nvme_controller_proxy_new_for_bus ()
UDisksNVMeController * | udisks_nvme_controller_proxy_new_for_bus_finish ()
UDisksNVMeController * | udisks_nvme_controller_proxy_new_for_bus_sync ()
UDisksNVMeController * | udisks_nvme_controller_skeleton_new ()

## Types and Values

| UDisksNVMeController
struct | UDisksNVMeControllerIface
struct | UDisksNVMeControllerProxy
struct | UDisksNVMeControllerProxyClass
struct | UDisksNVMeControllerSkeleton
struct | UDisksNVMeControllerSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksNVMeController
        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksNVMeControllerSkeleton
                ╰── UDisksLinuxNVMeController

## Prerequisites

UDisksNVMeController requires GObject.

## Implemented Interfaces

UDisksNVMeControllerSkeleton implements GDBusInterface and UDisksNVMeController.

## Known Implementations

UDisksNVMeController is implemented by UDisksLinuxNVMeController and UDisksNVMeControllerSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.NVMe.Controller D-Bus interface in C.

## Functions

### udisks_nvme_controller_interface_info ()

    GDBusInterfaceInfo *
    udisks_nvme_controller_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.NVMe.Controller D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_nvme_controller_override_properties ()

    guint
    udisks_nvme_controller_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksNVMeController interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_nvme_controller_call_smart_get_attributes ()

    void
    udisks_nvme_controller_call_smart_get_attributes
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartGetAttributes()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_call_smart_get_attributes_finish()` to get the result of the operation.

See `udisks_nvme_controller_call_smart_get_attributes_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_controller_call_smart_get_attributes_finish ()

    gboolean
    udisks_nvme_controller_call_smart_get_attributes_finish
                                   (UDisksNVMeController *proxy,
                                    GVariant **out_attributes,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_call_smart_get_attributes()`.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
out_attributes | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_call_smart_get_attributes()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_call_smart_get_attributes_sync ()

    gboolean
    udisks_nvme_controller_call_smart_get_attributes_sync
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_attributes,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartGetAttributes()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_call_smart_get_attributes()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
out_attributes | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_complete_smart_get_attributes ()

    void
    udisks_nvme_controller_complete_smart_get_attributes
                                   (UDisksNVMeController *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *attributes);

Helper function used in service implementations to finish handling invocations of the `SmartGetAttributes()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeController. |
invocation | A GDBusMethodInvocation. | [transfer full]
attributes | Parameter to return. |

Since: 2.10.0

### udisks_nvme_controller_call_smart_update ()

    void
    udisks_nvme_controller_call_smart_update
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartUpdate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_call_smart_update_finish()` to get the result of the operation.

See `udisks_nvme_controller_call_smart_update_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_controller_call_smart_update_finish ()

    gboolean
    udisks_nvme_controller_call_smart_update_finish
                                   (UDisksNVMeController *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_call_smart_update()`.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_call_smart_update()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_call_smart_update_sync ()

    gboolean
    udisks_nvme_controller_call_smart_update_sync
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartUpdate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_call_smart_update()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_complete_smart_update ()

    void
    udisks_nvme_controller_complete_smart_update
                                   (UDisksNVMeController *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartUpdate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeController. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_start ()

    void
    udisks_nvme_controller_call_smart_selftest_start
                                   (UDisksNVMeController *proxy,
                                    const gchar *arg_type,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartSelftestStart()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_call_smart_selftest_start_finish()` to get the result of the operation.

See `udisks_nvme_controller_call_smart_selftest_start_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_start_finish ()

    gboolean
    udisks_nvme_controller_call_smart_selftest_start_finish
                                   (UDisksNVMeController *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_call_smart_selftest_start()`.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_call_smart_selftest_start()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_start_sync ()

    gboolean
    udisks_nvme_controller_call_smart_selftest_start_sync
                                   (UDisksNVMeController *proxy,
                                    const gchar *arg_type,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartSelftestStart()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_call_smart_selftest_start()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_complete_smart_selftest_start ()

    void
    udisks_nvme_controller_complete_smart_selftest_start
                                   (UDisksNVMeController *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartSelftestStart()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeController. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_abort ()

    void
    udisks_nvme_controller_call_smart_selftest_abort
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartSelftestAbort()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_call_smart_selftest_abort_finish()` to get the result of the operation.

See `udisks_nvme_controller_call_smart_selftest_abort_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_abort_finish ()

    gboolean
    udisks_nvme_controller_call_smart_selftest_abort_finish
                                   (UDisksNVMeController *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_call_smart_selftest_abort()`.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_call_smart_selftest_abort()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_call_smart_selftest_abort_sync ()

    gboolean
    udisks_nvme_controller_call_smart_selftest_abort_sync
                                   (UDisksNVMeController *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartSelftestAbort()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_call_smart_selftest_abort()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_complete_smart_selftest_abort ()

    void
    udisks_nvme_controller_complete_smart_selftest_abort
                                   (UDisksNVMeController *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartSelftestAbort()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeController. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_controller_call_sanitize_start ()

    void
    udisks_nvme_controller_call_sanitize_start
                                   (UDisksNVMeController *proxy,
                                    const gchar *arg_action,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SanitizeStart()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_call_sanitize_start_finish()` to get the result of the operation.

See `udisks_nvme_controller_call_sanitize_start_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_action | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_controller_call_sanitize_start_finish ()

    gboolean
    udisks_nvme_controller_call_sanitize_start_finish
                                   (UDisksNVMeController *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_call_sanitize_start()`.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_call_sanitize_start()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_call_sanitize_start_sync ()

    gboolean
    udisks_nvme_controller_call_sanitize_start_sync
                                   (UDisksNVMeController *proxy,
                                    const gchar *arg_action,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SanitizeStart()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_call_sanitize_start()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeControllerProxy. |
arg_action | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_controller_complete_sanitize_start ()

    void
    udisks_nvme_controller_complete_sanitize_start
                                   (UDisksNVMeController *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SanitizeStart()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeController. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_controller_get_controller_id ()

    guint16
    udisks_nvme_controller_get_controller_id
                                   (UDisksNVMeController *object);

Gets the value of the "ControllerID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

### udisks_nvme_controller_get_fguid ()

    const gchar *
    udisks_nvme_controller_get_fguid (UDisksNVMeController *object);

Gets the value of the "FGUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_fguid()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_nvme_revision ()

    const gchar *
    udisks_nvme_controller_get_nvme_revision
                                   (UDisksNVMeController *object);

Gets the value of the "NVMeRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_nvme_revision()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_sanitize_percent_remaining ()

    gint
    udisks_nvme_controller_get_sanitize_percent_remaining
                                   (UDisksNVMeController *object);

Gets the value of the "SanitizePercentRemaining" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_controller_get_sanitize_status ()

    const gchar *
    udisks_nvme_controller_get_sanitize_status
                                   (UDisksNVMeController *object);

Gets the value of the "SanitizeStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_sanitize_status()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_smart_critical_warning ()

    const gchar *const *
    udisks_nvme_controller_get_smart_critical_warning
                                   (UDisksNVMeController *object);

Gets the value of the "SmartCriticalWarning" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_smart_critical_warning()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_smart_power_on_hours ()

    guint64
    udisks_nvme_controller_get_smart_power_on_hours
                                   (UDisksNVMeController *object);

Gets the value of the "SmartPowerOnHours" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

### udisks_nvme_controller_get_smart_selftest_percent_remaining ()

    gint
    udisks_nvme_controller_get_smart_selftest_percent_remaining
                                   (UDisksNVMeController *object);

Gets the value of the "SmartSelftestPercentRemaining" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_controller_get_smart_selftest_status ()

    const gchar *
    udisks_nvme_controller_get_smart_selftest_status
                                   (UDisksNVMeController *object);

Gets the value of the "SmartSelftestStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_smart_selftest_status()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_smart_temperature ()

    guint16
    udisks_nvme_controller_get_smart_temperature
                                   (UDisksNVMeController *object);

Gets the value of the "SmartTemperature" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

### udisks_nvme_controller_get_smart_updated ()

    guint64
    udisks_nvme_controller_get_smart_updated
                                   (UDisksNVMeController *object);

Gets the value of the "SmartUpdated" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

### udisks_nvme_controller_get_state ()

    const gchar *
    udisks_nvme_controller_get_state (UDisksNVMeController *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_state()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_subsystem_nqn ()

    const gchar *
    udisks_nvme_controller_get_subsystem_nqn
                                   (UDisksNVMeController *object);

Gets the value of the "SubsystemNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_controller_dup_subsystem_nqn()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_nvme_controller_get_unallocated_capacity ()

    guint64
    udisks_nvme_controller_get_unallocated_capacity
                                   (UDisksNVMeController *object);

Gets the value of the "UnallocatedCapacity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value.

### udisks_nvme_controller_dup_fguid ()

    gchar *
    udisks_nvme_controller_dup_fguid (UDisksNVMeController *object);

Gets a copy of the "FGUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_nvme_revision ()

    gchar *
    udisks_nvme_controller_dup_nvme_revision
                                   (UDisksNVMeController *object);

Gets a copy of the "NVMeRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_sanitize_status ()

    gchar *
    udisks_nvme_controller_dup_sanitize_status
                                   (UDisksNVMeController *object);

Gets a copy of the "SanitizeStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_smart_critical_warning ()

    gchar **
    udisks_nvme_controller_dup_smart_critical_warning
                                   (UDisksNVMeController *object);

Gets a copy of the "SmartCriticalWarning" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_state ()

    gchar *
    udisks_nvme_controller_dup_state (UDisksNVMeController *object);

Gets a copy of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_smart_selftest_status ()

    gchar *
    udisks_nvme_controller_dup_smart_selftest_status
                                   (UDisksNVMeController *object);

Gets a copy of the "SmartSelftestStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_dup_subsystem_nqn ()

    gchar *
    udisks_nvme_controller_dup_subsystem_nqn
                                   (UDisksNVMeController *object);

Gets a copy of the "SubsystemNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_nvme_controller_set_controller_id ()

    void
    udisks_nvme_controller_set_controller_id
                                   (UDisksNVMeController *object,
                                    guint16 value);

Sets the "ControllerID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_fguid ()

    void
    udisks_nvme_controller_set_fguid (UDisksNVMeController *object,
                                      const gchar *value);

Sets the "FGUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_nvme_revision ()

    void
    udisks_nvme_controller_set_nvme_revision
                                   (UDisksNVMeController *object,
                                    const gchar *value);

Sets the "NVMeRevision" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_sanitize_percent_remaining ()

    void
    udisks_nvme_controller_set_sanitize_percent_remaining
                                   (UDisksNVMeController *object,
                                    gint value);

Sets the "SanitizePercentRemaining" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_controller_set_sanitize_status ()

    void
    udisks_nvme_controller_set_sanitize_status
                                   (UDisksNVMeController *object,
                                    const gchar *value);

Sets the "SanitizeStatus" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_smart_critical_warning ()

    void
    udisks_nvme_controller_set_smart_critical_warning
                                   (UDisksNVMeController *object,
                                    const gchar *const *value);

Sets the "SmartCriticalWarning" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_smart_power_on_hours ()

    void
    udisks_nvme_controller_set_smart_power_on_hours
                                   (UDisksNVMeController *object,
                                    guint64 value);

Sets the "SmartPowerOnHours" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_smart_selftest_percent_remaining ()

    void
    udisks_nvme_controller_set_smart_selftest_percent_remaining
                                   (UDisksNVMeController *object,
                                    gint value);

Sets the "SmartSelftestPercentRemaining" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_controller_set_smart_selftest_status ()

    void
    udisks_nvme_controller_set_smart_selftest_status
                                   (UDisksNVMeController *object,
                                    const gchar *value);

Sets the "SmartSelftestStatus" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_smart_temperature ()

    void
    udisks_nvme_controller_set_smart_temperature
                                   (UDisksNVMeController *object,
                                    guint16 value);

Sets the "SmartTemperature" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_smart_updated ()

    void
    udisks_nvme_controller_set_smart_updated
                                   (UDisksNVMeController *object,
                                    guint64 value);

Sets the "SmartUpdated" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_state ()

    void
    udisks_nvme_controller_set_state (UDisksNVMeController *object,
                                      const gchar *value);

Sets the "State" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_subsystem_nqn ()

    void
    udisks_nvme_controller_set_subsystem_nqn
                                   (UDisksNVMeController *object,
                                    const gchar *value);

Sets the "SubsystemNQN" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_set_unallocated_capacity ()

    void
    udisks_nvme_controller_set_unallocated_capacity
                                   (UDisksNVMeController *object,
                                    guint64 value);

Sets the "UnallocatedCapacity" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeController. |
value | The value to set. |

### udisks_nvme_controller_proxy_new ()

    void
    udisks_nvme_controller_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Controller. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_proxy_new_finish()` to get the result of the operation.

See `udisks_nvme_controller_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_controller_proxy_new_finish ()

    UDisksNVMeController *
    udisks_nvme_controller_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeControllerProxy]

### udisks_nvme_controller_proxy_new_sync ()

    UDisksNVMeController *
    udisks_nvme_controller_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Controller. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeControllerProxy]

### udisks_nvme_controller_proxy_new_for_bus ()

    void
    udisks_nvme_controller_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_nvme_controller_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_controller_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_nvme_controller_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_controller_proxy_new_for_bus_finish ()

    UDisksNVMeController *
    udisks_nvme_controller_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_controller_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_controller_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeControllerProxy]

### udisks_nvme_controller_proxy_new_for_bus_sync ()

    UDisksNVMeController *
    udisks_nvme_controller_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_nvme_controller_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_nvme_controller_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeControllerProxy]

### udisks_nvme_controller_skeleton_new ()

    UDisksNVMeController *
    udisks_nvme_controller_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.NVMe.Controller.

#### Returns

The skeleton object.

[transfer full][type UDisksNVMeControllerSkeleton]

## Types and Values

### UDisksNVMeController

    typedef struct _UDisksNVMeController UDisksNVMeController;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.NVMe.Controller.

### struct UDisksNVMeControllerIface

    struct UDisksNVMeControllerIface {
      GTypeInterface parent_iface;

      guint16  (*get_controller_id) (UDisksNVMeController *object);

      const gchar * (*get_fguid) (UDisksNVMeController *object);

      const gchar * (*get_nvme_revision) (UDisksNVMeController *object);

      const gchar * (*get_sanitize_status) (UDisksNVMeController *object);

      const gchar *const * (*get_smart_critical_warning) (UDisksNVMeController *object);

      guint64  (*get_smart_power_on_hours) (UDisksNVMeController *object);

      const gchar * (*get_smart_selftest_status) (UDisksNVMeController *object);

      guint16  (*get_smart_temperature) (UDisksNVMeController *object);

      guint64  (*get_smart_updated) (UDisksNVMeController *object);

      const gchar * (*get_state) (UDisksNVMeController *object);

      const gchar * (*get_subsystem_nqn) (UDisksNVMeController *object);

      guint64  (*get_unallocated_capacity) (UDisksNVMeController *object);

      gboolean (*handle_sanitize_start) (
        UDisksNVMeController *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_action,
        GVariant *arg_options);

      gboolean (*handle_smart_get_attributes) (
        UDisksNVMeController *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_smart_selftest_abort) (
        UDisksNVMeController *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_smart_selftest_start) (
        UDisksNVMeController *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_type,
        GVariant *arg_options);

      gboolean (*handle_smart_update) (
        UDisksNVMeController *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gint  (*get_sanitize_percent_remaining) (UDisksNVMeController *object);

      gint  (*get_smart_selftest_percent_remaining) (UDisksNVMeController *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.NVMe.Controller.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_controller_id` () | Getter for the “controller-id” property. |
`get_fguid` () | Getter for the “fguid” property. |
`get_nvme_revision` () | Getter for the “nvme-revision” property. |
`get_sanitize_status` () | Getter for the “sanitize-status” property. |
`get_smart_critical_warning` () | Getter for the “smart-critical-warning” property. |
`get_smart_power_on_hours` () | Getter for the “smart-power-on-hours” property. |
`get_smart_selftest_status` () | Getter for the “smart-selftest-status” property. |
`get_smart_temperature` () | Getter for the “smart-temperature” property. |
`get_smart_updated` () | Getter for the “smart-updated” property. |
`get_state` () | Getter for the “state” property. |
`get_subsystem_nqn` () | Getter for the “subsystem-nqn” property. |
`get_unallocated_capacity` () | Getter for the “unallocated-capacity” property. |
`handle_sanitize_start` () | Handler for the “handle-sanitize-start” signal. |
`handle_smart_get_attributes` () | Handler for the “handle-smart-get-attributes” signal. |
`handle_smart_selftest_abort` () | Handler for the “handle-smart-selftest-abort” signal. |
`handle_smart_selftest_start` () | Handler for the “handle-smart-selftest-start” signal. |
`handle_smart_update` () | Handler for the “handle-smart-update” signal. |
`get_sanitize_percent_remaining` () | Getter for the “sanitize-percent-remaining” property. |
`get_smart_selftest_percent_remaining` () | Getter for the “smart-selftest-percent-remaining” property. |

### struct UDisksNVMeControllerProxy

    struct UDisksNVMeControllerProxy {
    };

The UDisksNVMeControllerProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeControllerProxyClass

    struct UDisksNVMeControllerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksNVMeControllerProxy.

#### Members

### struct UDisksNVMeControllerSkeleton

    struct UDisksNVMeControllerSkeleton;

The UDisksNVMeControllerSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeControllerSkeletonClass

    struct UDisksNVMeControllerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksNVMeControllerSkeleton.

#### Members